Cyberduck Mountain Duck CLI

#511 closed enhancement (fixed)

Preference to exclude files from transfers (e.g. .svn)

Reported by: darcybrown@… Owned by: dkocher
Priority: normal Milestone: 2.7.3
Component: interface Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

When uploading, there is no way to disable hidden files from being uploaded. So, all the nested .svn folders get uploaded with the files. For CVS, they aren't hidden, however it would be good if there was a way to tell it not to upload these directories also.

Change History (4)

comment:1 Changed on Jun 26, 2006 at 9:18:48 AM by dkocher

  • Component changed from core to interface
  • Milestone set to 2.6.5
  • Status changed from new to assigned

A way to exclude files from being uploaded is described in http://cyberduck.ch/help/en/faq/index.html (see the bottom of the page). I take this as a user interface request to make this option available in the preferences of Cyberduck.

comment:2 Changed on Dec 21, 2006 at 10:45:34 PM by dkocher

  • Summary changed from .svn directories get uploaded, but are not viewable to Preference to exclude files from transfers (e.g. .svn)

Exclude some files and directories globally from download, upload, e.g.

  • Exclude all CVS and .svn directories from downloads:

defaults write ch.sudo.cyberduck queue.download.skip "CVS .svn"

  • Exclude all CVS and .svn directories from uploads:

defaults write ch.sudo.cyberduck queue.upload.skip "CVS .svn" These settings also apply to downloaded or uploaded using the synchronization feature.

Make these setting configurable in the Preferences.

comment:3 Changed on Jan 19, 2007 at 4:38:49 PM by dkocher

  • Description modified (diff)
  • Type changed from defect to enhancement

comment:4 Changed on Feb 1, 2007 at 12:57:51 PM by dkocher

  • Milestone changed from 2.8 to 2.7.3
  • Resolution set to fixed
  • Status changed from assigned to closed

See r2799 and r2800.

Note: See TracTickets for help on using tickets.
swiss made software